// pages/coupon/coupon.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgUrl: app.globalData.urlStatic,//图片路径
    friendOpenid:null,//朋友的openid
    countNum:0,
    pageShow:false,//是否显示页面
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    app.globalData.nowPage = 2;
    if (options.friendOpenid) {
      this.data.friendOpenid = options.friendOpenid;
      wx.setStorageSync("friendOpenid", options.friendOpenid);
      app.globalData.friendOpenid = options.friendOpenid;
    }
    if (app.globalData.openid) {
      this.getOrderInfo();
    } else {
      app.globalData.openidSuccessFuc = this.getOrderInfo;
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return app.sharePack();
  },
  receive: function () {//立即领取
    wx.reLaunch({
      url: '/pages/index/index',
    })
  },
  getOrderInfo: function () {//查询是否已注册
    app.wxRequest(app.globalData.urlRoot +"userInfo/getOrderInfo",{},res=>{
      if(res.code==200){
        if(res.data){
          wx.reLaunch({
            url: '/pages/index/index',
          })
        }else{
          this.setData({
            pageShow:true
          })
          this.getTotalOrder();
        }
      }
    },this)
  },
  getTotalOrder:function(){//获取预约人数
    app.wxRequest(app.globalData.urlRoot + "userInfo/getTotalOrder", {}, res => {
      if (res.code == 200) {
        if (res.data) {
          this.setData({
            countNum: res.data.total
          })
        }
      }
    }, this)
  }
})